Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1122235 - Review Request: nodejs-regenerator - Source transformer enabling ECMAScript 6 generators
Summary: Review Request: nodejs-regenerator - Source transformer enabling ECMAScript 6...
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Parag AN(पराग)
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 1122236 (view as bug list)
Depends On: 1122182 1122219 1122230 1122234
Blocks: nodejs-reviews 1122229
TreeView+ depends on / blocked
 
Reported: 2014-07-22 19:05 UTC by Ralph Bean
Modified: 2014-09-09 22:20 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-08-18 17:51:31 UTC
panemade: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Ralph Bean 2014-07-22 19:05:44 UTC
Spec URL: http://ralph.fedorapeople.org//nodejs-regenerator.spec
SRPM URL: http://ralph.fedorapeople.org//nodejs-regenerator-0.4.9-2.fc20.src.rpm

Description:
This package implements a fully-functional source transformation that takes the
proposed syntax for generators/yield from future versions of JS (ECMAScript6 or
ES6, experimentally implemented in Node.js v0.11) and spits out efficient
JS-of-today (ES5) that behaves the same way.

Comment 1 Ralph Bean 2014-07-22 19:44:44 UTC
*** Bug 1122236 has been marked as a duplicate of this bug. ***

Comment 2 Parag AN(पराग) 2014-07-26 05:48:09 UTC
Review:

+ mock build is successful for f22.

+ rpmlint output on rpms gave
nodejs-regenerator.noarch: W: spelling-error %description -l en_US js -> dis, ks, j
nodejs-regenerator.noarch: W: only-non-binary-in-usr-lib
nodejs-regenerator.noarch: W: dangling-symlink /usr/lib/node_modules/regenerator/node_modules/defs /usr/lib/node_modules/defs
nodejs-regenerator.noarch: W: dangling-symlink /usr/lib/node_modules/regenerator/node_modules/recast /usr/lib/node_modules/recast
nodejs-regenerator.noarch: W: dangling-symlink /usr/lib/node_modules/regenerator/node_modules/commander /usr/lib/node_modules/commander
nodejs-regenerator.noarch: W: dangling-symlink /usr/lib/node_modules/regenerator/node_modules/esprima /usr/lib/node_modules/esprima
nodejs-regenerator.noarch: W: dangling-symlink /usr/lib/node_modules/regenerator/node_modules/private /usr/lib/node_modules/private
nodejs-regenerator.src: W: spelling-error %description -l en_US js -> dis, ks, j
2 packages and 0 specfiles checked; 0 errors, 8 warnings.

+ Source verified with upstream as (sha256sum)
srpm tarball     :69171c343c408cb67168742294159f98204270235ac513a054854ec917ee34f8
upstream tarball :69171c343c408cb67168742294159f98204270235ac513a054854ec917ee34f8

+ License "BSD" is valid and is included in its own file as %doc

+ rest looks following packaging guidelines.

APPROVED.

Comment 3 Ralph Bean 2014-08-18 13:24:56 UTC
New Package SCM Request
=======================
Package Name: nodejs-regenerator
Short Description: Source transformer enabling ECMAScript 6 generators
Upstream URL: https://npmjs.org/package/regenerator
Owners: ralph
Branches: f21,f20,f19,epel7
InitialCC:

Comment 4 Kevin Fenzi 2014-08-18 14:54:02 UTC
Git done (by process-git-requests).

Comment 5 Fedora Update System 2014-08-18 17:50:12 UTC
nodejs-regenerator-0.4.9-2.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/nodejs-regenerator-0.4.9-2.fc20

Comment 6 Fedora Update System 2014-08-18 17:50:22 UTC
nodejs-regenerator-0.4.9-2.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/nodejs-regenerator-0.4.9-2.fc19

Comment 7 Ralph Bean 2014-08-18 17:51:31 UTC
Buildroot overrides submitted.

Comment 8 Fedora Update System 2014-09-09 22:12:15 UTC
nodejs-regenerator-0.4.9-2.fc19 has been pushed to the Fedora 19 stable repository.

Comment 9 Fedora Update System 2014-09-09 22:20:12 UTC
nodejs-regenerator-0.4.9-2.fc20 has been pushed to the Fedora 20 stable repository.


Note You need to log in before you can comment on or make changes to this bug.